﻿@model SchoolSettingOnSiteInfoViewModel
@{
    Layout = null;
}

<style>
    .jb-tooltip .tooltip-content {
        background-color: transparent !important;
    }
     
</style>

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='SchoolSetting'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Onsite information
            </h1>
            <div id="tooltipImgClubLogo" class="jb-tooltip">
                <span ng-click="toggleTooltip('tooltipImgClubLogo','/Areas/Dashboard/Content/Image/SchoollnfoMobileApp.png')" class="info-icon">i</span>
                <div class="tooltip-content" style="width: 320px"></div>
            </div>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate>

        <fieldset>
            <div>
                <label>Enrichment start time (AM)</label>
                <div class="input-control date-time" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.EnrichmentStartTimeAM)" k-options="MC.timePickerOptionsAM" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Enrichment start time (AM)">
                </div>
                <div class="clearfix"></div>
                <label>Enrichment start time (PM)</label>
                <div class="input-control date-time" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.EnrichmentStartTimePM)" k-options="MC.timePickerOptionsPM" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Enrichment start time (PM)">
                </div>
                <div class="clearfix"></div>
                <label>Instructor arrival time (AM)</label>
                <div class="input-control date-time" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.InstructorArrivalTimeAM)" k-options="MC.timePickerOptionsAM" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Instructor arrival time (AM)">
                </div>
                <div class="clearfix"></div>
                <label>Instructor arrival time (PM)</label>
                <div class="input-control date-time" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.InstructorArrivalTimePM)" k-options="MC.timePickerOptionsPM" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Instructor arrival time (PM)">
                </div>
                <div class="clearfix"></div>
                
                <label>On-Site cancellation contact</label>
                <div class="input-control text" data-role="input-control">
                    <input class="k-textbox" ng-model="@Html.Ang( m => m.OnSiteCancellationContact)" />
                </div>
                <div class="clearfix"></div>

                <label>Parking for providers</label>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.ParkingForProviders)"></textarea>
                </div>
                <div class="clearfix"></div>

                <label>Check-in procedures for instructors</label>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.CheckInProceduresForInstructors)"></textarea>
                </div>
                <div class="clearfix"></div>

                <label>Transition instructions</label>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.TransitionInstructions)"></textarea>
                </div>
                <div class="clearfix"></div>

                <label>Attendance procedure</label>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.AttendanceProcedure)"></textarea>
                </div>
                <div class="clearfix"></div>

                <label>Enrichment dismissal instructions</label>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.EnrichmentDismissalInstructions)"></textarea>
                </div>
                <div class="clearfix"></div>

                <label>Late pick-up policy</label>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.LatePickUpPolicy)"></textarea>
                </div>
                <div class="clearfix"></div>

            </div>
        </fieldset>


        <div class="clearfix"></div>
        <hr />
        <button ngaction="SchoolSetting_OnSiteInfo_Save" ng-click="save()" class="success large place-right">Save</button>

    </form>
    <div class="clearfix"></div>
</div>